Bug 1962119 - Satellite 6.9 changed the way RH operating systems are named after sync
Summary: Satellite 6.9 changed the way RH operating systems are named after sync
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: Ian Ballou
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-19 10:41 UTC by Evgeni Golov
Modified: 2021-11-16 14:11 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-4.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:10:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32699 0 Normal Closed Katello 3.18 changed the way RH operating systems are named after sync 2021-06-03 20:39:22 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:11:11 UTC

Description Evgeni Golov 2021-05-19 10:41:29 UTC
Description of problem:
In Satellite up to 6.8, when you synced the RHEL product, it would create the according OS with the title "RedHat 8.1" (or whatever the version is)
Since Satellite 6.9, syncing the same repository results in an OS with the title "RedHat-8.1.0" which breaks essentially any automated deployment workflow that still expects "RedHat 8.1".

This was introduced in https://projects.theforeman.org/issues/30571 / https://github.com/Katello/katello/pull/8936 to fix some validation bug

In my environment, it was sufficient to unset the "description" attribute of the OS, to get the "old" behavior back.

Version-Release number of selected component (if applicable):
Satellite 6.9.1

How reproducible:
100%

Steps to Reproduce:
1. sync RH products with kickstarts

Actual results:
See OS with the title "RedHat-8.1.0"

Expected results:
See OS with the title "RedHat 8.1"

Additional info:

Comment 1 Evgeni Golov 2021-05-27 13:28:06 UTC
One thing that I didn't point out in the original comment: I think calling that OS 8.1.0 is wrong, as it really is 8.1 and we don't really version .z releases in RHEL.

(the 8.1.0 was imported from an exported CV, so it might have different metadata than what's on CDN)

Comment 2 Ian Ballou 2021-06-02 15:34:11 UTC
Created redmine issue https://projects.theforeman.org/issues/32699 from this bug

Comment 3 Bryan Kearney 2021-06-03 20:04:23 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32699 has been resolved.

Comment 9 errata-xmlrpc 2021-11-16 14:10:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.